$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Condition"
type: "object"

additionalProperties: false
required:
  - name
properties:
  name:
    description: Short name for the condition, independent of gene
    type: string
  genes:
    description: Map gene names to condition descriptions for that gene.
    type: object
    patternProperties:
      "^": 
        type: object
        required:
          - description
        properties:
          description:
            type: string
          references:
            type: array
            description: Reference specific to the gene in the given condition
            items:
              $ref: "../structs.json#/definitions/Reference"
        additionalProperties: false
  inheritance:
    type: array
    items:
      $ref: "../core.json#/definitions/Inheritance"
  recommendations:
    type: array
    items:
      type: string
  references:
    type: array
    description: Reference that only pertains to the condition and not a specific gene
    items:
      $ref: "../structs.json#/definitions/Reference"
  reviewed:
    anyOf:
      - $ref: "../core.json#/definitions/Date"
      - $ref: "../core.json#/definitions/UTCTimestamp"
  synonyms:
    type: object
    description: DEPRECATED; Accepted but unused
  xrefs:
    type: array
    items:
      $ref: "../core.json#/definitions/CURIE"
    example:
      - "foo:123"